# Type Alias RenderOpts

type RenderOpts = {
alerts?: {
msg: string;
type: "error" | "danger" | "success" | "warning";
}[];
blockDispatch?: any;
hints?: any;
is_owner?: boolean;
layout: any;
req?: any;
role?: any;
}

- Defined in layout.ts:164

##### Index

### Properties

alerts?
blockDispatch?
hints?
is_owner?
layout
req?
role?

## Properties

### `Optional` alerts

alerts?: { msg: string; type: "error" | "danger" | "success" | "warning" }[]

- Defined in layout.ts:168

### `Optional` blockDispatch

blockDispatch?: any

- Defined in layout.ts:165

### `Optional` hints

hints?: any

- Defined in layout.ts:174

### `Optional` is_owner

is_owner?: boolean

- Defined in layout.ts:172

### layout

layout: any

- Defined in layout.ts:166

### `Optional` req

req?: any

- Defined in layout.ts:173

### `Optional` role

role?: any

- Defined in layout.ts:167